<?php
// 数据库配置
$db_host = 'localhost';
$db_name = 'smoke';
$db_user = 'smoke';
$db_pass = 'Xw6YG2888ANbGGG3';

// 错误报告设置
error_reporting(E_ALL);
ini_set('display_errors', 0);
ini_set('log_errors', 1);
ini_set('error_log', __DIR__ . '/../logs/php_errors.log');

try {
    // 创建PDO连接
    $pdo = new PDO(
        "mysql:host=$db_host;dbname=$db_name;charset=utf8mb4",
        $db_user,
        $db_pass,
        [
            PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
            PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
            PDO::ATTR_EMULATE_PREPARES => false
        ]
    );
    
    // 设置时区
    $pdo->exec("SET time_zone = '+8:00'");
} catch (PDOException $e) {
    // 记录错误日志
    error_log("数据库连接失败: " . $e->getMessage());
    
    // 显示友好的错误页面
    header('Content-Type: text/html; charset=utf-8');
    die("<h2>数据库连接错误</h2><p>系统暂时无法访问，请稍后再试。</p>");
}

// 设置默认时区
date_default_timezone_set('Asia/Shanghai');
?>